
# Light up Blinkens one at a time to show where they are on the bus.

import math
import time
import random
from blinken import Blinken
import serial

nodelist = [];
# Create (maybe) dummy blinken nodes covering the desired address range
for i in range(0x4c,0xaf):
    nodelist.append(Blinken(i))


port = serial.Serial("COM4", 115200, timeout=200)

# FIXME: Some delay here for the Arduino to reset since we opened the port?

Blinken._set_port(port)
Blinken._init()

for i in range(0, len(nodelist)):
    Blinken._set_color(0,0,0,0)
    print hex(nodelist[i].addr)
    nodelist[i].set_color(1,1,1)
    raw_input("Press enter for next node")


